'use strict';

const Controller = require('egg').Controller;

class OtherController extends Controller {
  async index() {
    const { ctx } = this;
    ctx.body = 'hi, OtherController';
  }

  /**
     * 1.采集员认证统计(计算精准-已测试)
     */
  async selectUserByAuth() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    if (Object.keys(query).length === 0) {
      query.dept1 = this.app.config.dept1ObjectId;
    }
    const result = await service.other.selectUserByAuth(query);
    ctx.body = result;
  }

  /**
     * 2.运营分析(计算精准-已测试)
     */
  async fourquan() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    if (Object.keys(query).length === 0) {
      query.dept1 = this.app.config.dept1ObjectId;
    }
    const result = await service.other.fourquan(query);
    ctx.body = result;
  }

  /**
     * 3.首页左下角采集(计算精准-已测试)
     */
  async infomonth() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    if (Object.keys(query).length === 0) {
      query.dept1 = this.app.config.dept1ObjectId;
    }
    const result = await service.other.infomonth(query);
    ctx.body = result;
  }

  /**
     * 4.采集员 性别,政治面貌(计算精准-已测试)
     */
  async selectSexAndLook() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    const result = await service.other.selectSexAndLook(query);
    ctx.body = result;
  }

  /**
     * 5.采集员认证统计(计算精准-已测试)
     */
  async selectUserByAuth() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    const result = await service.other.selectUserByAuth(query);
    ctx.body = result;
  }

}
module.exports = OtherController;
